Subject: [bug#36738] [PATCH] guix deploy: Support '--no-grafts' and '--system'

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 23 Jul 2019 20:11:59 -0400

Hi Ricardo,

Ricardo Wurmus <[email-masked]> writes:

> I don’t know if this qualifies, but if “guix deploy” were to *create*
> a machine (e.g. on EC2 via the Guile AWS library) it wouldn’t be able
> to probe it first. But in that case we would have full control over
> what the target would be, so no probing would be required.

Ah, good point. I suppose didn't think about this all the way through in
my response -- we wouldn't be able to probe an unprovisioned machine.
But your point gives me even more confidence in the decision to deduce
target architecture at runtime and have that as an environment-specific
check.

Thanks for chiming in!

Regards,
Jakob